Package tigase.server.amp.action

## Class Store

- java.lang.Object
- - tigase.server.amp.ActionAbstract
  - - tigase.server.amp.action.Store

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ActionIfc`, `AmpFeatureIfc`

      @Bean(name="store",
            parent=AmpComponent.class,
            active=true)
      public class Store
      extends ActionAbstract
      implements Initializable, UnregisterAware

  Created: May 1, 2010 11:32:59 AM
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.amp.ActionAbstract

      `AMP_SECURITY_LEVEL, AMP_SECURITY_LEVEL_DEFAULT, resultsHandler, SECURITY_PROP_KEY`

    - ### Fields inherited from interface tigase.server.amp.AmpFeatureIfc

      `ACTION_ATT, AMP_MSG_REPO_CLASS_PARAM, AMP_MSG_REPO_CLASS_PROP_KEY, AMP_MSG_REPO_URI_PARAM, AMP_MSG_REPO_URI_PROP_KEY, AMP_XMLNS, CONDITION_ATT, EXPIRED, FROM_CONN_ID, MSG_OFFLINE_PROP_KEY, OFFLINE, SESSION_JID, TO_CONN_ID, TO_RES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Store()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `boolean` | `execute​(Packet packet, Element rule)` |
    `java.lang.String` | `getName()` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.

    - ### Methods inherited from class tigase.server.amp.ActionAbstract

      `prepareAmpPacket, removeTigasePayload, setActionResultsHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Store

          public Store()

  - ### Method Detail

    - #### execute

          public boolean execute​(Packet packet,
                                 Element rule)

      Specified by:
        `execute` in interface `ActionIfc`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `AmpFeatureIfc`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`